Page MenuHomePhabricator

Bundle TemplateData extension with MediaWiki
Closed, ResolvedPublic

Description

To accompany VisualEditor (T243258: Bundle VisualEditor extension with MediaWiki).

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer
  • Any relevant dependencies/enhancing extensions also bundled

Event Timeline

Legoktm created this task.Jan 21 2020, 1:46 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 21 2020, 1:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy updated the task description. (Show Details)Jan 21 2020, 1:47 AM
Reedy updated the task description. (Show Details)
Akuckartz added a subscriber: Akuckartz.
JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.Jun 16 2020, 3:47 PM

Change 610260 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] [DNM] Add VisualEditor and TemplateData to the MW tarball

https://gerrit.wikimedia.org/r/610260

Change 611271 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] parameter_functions: VisualEditor and TemplateData are now tarballed

https://gerrit.wikimedia.org/r/611271

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF closed this task as Resolved.Jul 14 2020, 4:56 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 14 2020, 4:56 AM

Change 610260 merged by jenkins-bot:
[mediawiki/tools/release@master] Add VisualEditor and TemplateData to the MW tarball

https://gerrit.wikimedia.org/r/610260

Change 611271 merged by jenkins-bot:
[integration/config@master] parameter_functions: VisualEditor and TemplateData are now tarballed

https://gerrit.wikimedia.org/r/611271